#include <qdp-config.h>

int
write_gauge(char *name, QDP_ColorMatrix *link[])
{
  QDP_String *id = QDP_string_create();
  QDP_Writer *writer;

  QDP_string_set(id, "write_gauge file metadata");
  writer = QDP_open_write(id, name, QDP_SINGLEFILE);
  if (writer == 0) {
    printf0("open_write(%s) failed\n", name);
    return 1;
  }
  QDP_string_set(id, "write_gauge record metadata");
  QDP_vwrite_M(writer, id, link, 4);
  QDP_close_write(writer);
  QDP_string_destroy(id);
  return 0;  
}
