#include <qdp-config.h>

int lattice_size[NDIM] = { 4, 4, 4, 4 };

int
main(int argc, char *argv[])
{
  /* start QDP */
  QDP_initialize(&argc, &argv);

  /* set lattice size and create layout */
  QDP_set_latsize(NDIM, lattice_size);
  QDP_create_layout();

  /* say hello from node 0 */
  if(QDP_this_node==0)
    printf("Hello from node %d\n", QDP_this_node);

  /* shutdown QDP */
  QDP_finalize();

  return 0;
}
