#include <stdio.h>

#define QDP_Precision 'F'
#define QDP_Nc 3
#include <qdp.h>
#include <qop_qdp.h>

#define NDIM 4

#define printf0 if (QDP_this_node == 0) printf

extern QLA_Real plaquette(QDP_ColorMatrix *U[]);
extern void init_random(QDP_RandomState *rs, int seed);
extern void random_link(QDP_ColorMatrix *, QDP_RandomState *, QDP_Subset);
extern int read_gauge(QDP_ColorMatrix *U[], char *name);
extern int write_gauge(char *name, QDP_ColorMatrix *U[]);
extern void wilson_invert_init(void);
extern QOP_FermionLinksWilson *wilson_load_links(QDP_ColorMatrix *U[]);
extern void point_source(QDP_DiracFermion *src, int point[], int ic, int is);
extern void wilson_invert(QDP_DiracFermion *prop, QOP_FermionLinksWilson *flw,
			  QDP_DiracFermion *source, QLA_Real kappa,double res);
extern void print_pion(QDP_DiracPropagator *prop, int t0);
extern void print_rho(QDP_DiracPropagator *prop, int t0);
